<template>
    <modal
            name="recovery-modal"
            transition="nice-modal-fade"
            :min-width="200"
            :min-height="200"
            :pivot-y="0.5"
            :adaptive="true"
            :scrollable="true"
            :reset="true"
            :max-width="600"
            width="80%"
            height="auto">
        <div class="modal-content">
        <h2 class="modal-h2">Восстановление пароля</h2>
            <div>
                <div v-if="error" class="error-msg">{{error}}</div>
                <input type="text" class="text-input" v-model="phone" placeholder="Введите номер телефона">
            </div>

            <div class="text-center"> <button class="a-btn" @click="validate_phone">Далее</button></div>

        </div>
    </modal>
</template>

<script>
export default {
  name: 'LoginModal',
    data() {
        return {
            phone: '',
            error: ''
        }
    },

    methods:{
        validate_phone(){
            let phone = this.phone
            this.error = '',
                this.$store.dispatch('validate_phone_reset_password',  phone)
                    .then(() => {
                        this.$modal.hide('recovery-modal');
                        this.$modal.show('recoverycode-modal')
                    })
                    .catch(err => this.error = err)
        }
    }
}
</script>
